-- ============================================================================
-- CONSULTES
-- ============================================================================
DECLARE
    RSP logs.RSP%TYPE;
BEGIN
    -- ========================================================================
    -- lst_jugadorsCompeticio:
    -- Mostra la llista de jugadors d'un competicio indicada
    -- ========================================================================

    -- lst_jugadorsCompeticio: Id de competició existent
    DBMS_OUTPUT.PUT_LINE('lst_jugadorsCompeticio: Id de competició existent');
    pkg_consultes.lst_jugadorsCompeticio(15,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_jugadorsCompeticio: Consulta correcte
    DBMS_OUTPUT.PUT_LINE('lst_jugadorsCompeticio: Consulta correcte');
    pkg_consultes.lst_jugadorsCompeticio(5,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_equipsCompeticio:
    -- Retorna el llistat del equips de la competicio indicada ordenats per punts
    -- ========================================================================

    -- lst_equipsCompeticio: Id de competició existent
    DBMS_OUTPUT.PUT_LINE('lst_equipsCompeticio: Id de competició existent');
    pkg_consultes.lst_equipsCompeticio(11,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_equipsCompeticio: Consulta correcte
    DBMS_OUTPUT.PUT_LINE('lst_equipsCompeticio: Consulta correcte');
    pkg_consultes.lst_equipsCompeticio(1,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_contractesRepresentant:
    -- Mostra el nombre de contractes per representant i any
    -- ========================================================================

    -- lst_contractesRepresentant: Id de persona / representant existent
    DBMS_OUTPUT.PUT_LINE('lst_contractesRepresentant: Id de persona / representant existent');
    pkg_consultes.lst_contractesRepresentant(2010,663,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_contractesRepresentant: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_contractesRepresentant: Consulta correcta');
    pkg_consultes.lst_contractesRepresentant(2010,18,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_top10DespesaEquips:
    -- Llista els 10 equips que mes s'han gastat en un any concret
    -- ========================================================================

    -- lst_top10DespesaEquips: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_top10DespesaEquips: Consulta correcta');
    pkg_consultes.lst_top10DespesaEquips(2010,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_top5Jugadors:
    -- Llista els 5 jugadors millor valorats per cada posicio segons ambit,
    -- genere i modalitat competicio
    -- ========================================================================

    -- lst_top5Jugadors: Codi d'àmbit vàlid
    DBMS_OUTPUT.PUT_LINE('lst_top5Jugadors: Codi àmbit vàlid');
    pkg_consultes.lst_top5Jugadors('P','M','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_top5Jugadors: Codi de gènere vàlid
    DBMS_OUTPUT.PUT_LINE('lst_top5Jugadors: Codi de gènere vàlid');
    pkg_consultes.lst_top5Jugadors('N','T','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_top5Jugadors: Codi de modalitat de joc vàlid
    DBMS_OUTPUT.PUT_LINE('lst_top5Jugadors: Codi de modalitat de joc vàlid');
    pkg_consultes.lst_top5Jugadors('N','M','Y',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_top5Jugadors: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_top5Jugadors: Consulta correcta');
    pkg_consultes.lst_top5Jugadors('N','M','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_jugadorsLliures:
    -- Llistat de jugadors que acaben contracte o no en tenen segons pais,
    -- genere i modalitat
    -- ========================================================================

    -- lst_jugadorsLliures: Codi de pais existent
    DBMS_OUTPUT.PUT_LINE('lst_jugadorsLliures: Codi de pais existent');
    pkg_consultes.lst_jugadorsLliures('XXX','F','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_jugadorsLliures: Codi de gènere vàlid
    DBMS_OUTPUT.PUT_LINE('lst_jugadorsLliures: Codi de gènere vàlid');
    pkg_consultes.lst_jugadorsLliures('ESP','S','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_jugadorsLliures: Codi de modalitat de joc vàlid
    DBMS_OUTPUT.PUT_LINE('lst_jugadorsLliures: Codi de modalitat de joc vàlid');
    pkg_consultes.lst_jugadorsLliures('ESP','F','X',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_jugadorsLliures: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_jugadorsLliures: Consulta correcta');
    pkg_consultes.lst_jugadorsLliures('ESP','F','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

END;