-- ============================================================================
-- CONSULTES
-- ============================================================================
DECLARE
    RSP logs.RSP%TYPE;
BEGIN
    -- ========================================================================
    -- lst_dwh_totalJugadors:
    -- El número total de jugadors en actiu en tots els gèneres i modalitats.
    -- ========================================================================

    -- lst_dwh_totalJugadors: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_totalJugadors: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_totalJugadors(RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_dwh_anotadorsCompeticio:
    -- Donada una competició, el seu màxim anotador en la temporada en curs
    -- ========================================================================

    -- lst_dwh_anotadorsCompeticio: Id de competició existent
    DBMS_OUTPUT.PUT_LINE('lst_dwh_anotadorsCompeticio: Id de competició existent');
    pkg_consultes_dwh.lst_dwh_anotadorsCompeticio(11,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_dwh_anotadorsCompeticio: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_anotadorsCompeticio: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_anotadorsCompeticio(1,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_dwh_millorPagats:
    -- El jugador més ben pagat de cada modalitat i gènere.
    -- ========================================================================

    -- lst_dwh_millorPagats: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_millorPagats: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_millorPagats(RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_dwh_totalGuanys:
    -- El jugador amb més guanys acumulats al llarg de tota la seva carrera esportiva.
    -- ========================================================================

    -- lst_dwh_totalGuanys: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_totalGuanys: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_totalGuanys(RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_dwh_souMigJugadors:
    -- Donat un país, una temporada, un gènere i una modalitat, el sou mig
    -- anual dels jugadors.
    -- ========================================================================

    -- lst_dwh_souMigJugadors: Codi de pais existent
    DBMS_OUTPUT.PUT_LINE('lst_dwh_souMigJugadors: Codi de pais existent');
    pkg_consultes_dwh.lst_dwh_souMigJugadors('ZZZ',2013,'M','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_dwh_souMigJugadors: Codi de gènere vàlid
    DBMS_OUTPUT.PUT_LINE('lst_dwh_souMigJugadors: Codi de gènere vàlid');
    pkg_consultes_dwh.lst_dwh_souMigJugadors('ESP',2013,'G','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_dwh_souMigJugadors: Codi de modalitat de joc vàlid
    DBMS_OUTPUT.PUT_LINE('lst_dwh_souMigJugadors: Codi de modalitat de joc vàlid');
    pkg_consultes_dwh.lst_dwh_souMigJugadors('ESP',2013,'M','D',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_dwh_souMigJugadors: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_souMigJugadors: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_souMigJugadors('ESP',2013,'M','N',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');
    -- ========================================================================
    -- lst_dwh_millorsEquips:
    -- Donada una competició i una temporada, els millors equips ofensius i defensius.
    -- ========================================================================

    -- lst_dwh_millorsEquips: Id de competició existent
    DBMS_OUTPUT.PUT_LINE('lst_dwh_millorsEquips: Id de competició existent');
    pkg_consultes_dwh.lst_dwh_millorsEquips(21,2013,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- lst_dwh_millorsEquips: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_millorsEquips: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_millorsEquips(1,2013,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- ========================================================================
    -- lst_dwh_millorJugador:
    -- Per a cada gènere i modalitat, el millor jugador del món en el darrer any.
    -- ========================================================================

    -- lst_dwh_millorJugador: Consulta correcta
    DBMS_OUTPUT.PUT_LINE('lst_dwh_millorJugador: Consulta correcta');
    pkg_consultes_dwh.lst_dwh_millorJugador(RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

END;