-- ============================================================================
-- GESTIO DE CONTRACTES
-- ============================================================================
DECLARE
    RSP logs.RSP%TYPE;
BEGIN

    -- Alta de contracte: Id d'equip venedor existent
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Id equip venedor existent');
    pkg_gestioContractes.ges_altaContracte(111,2,1,sysdate,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Id d'equip comprador existent
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Id equip comprador existent');
    pkg_gestioContractes.ges_altaContracte(1,212,1,sysdate,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Id de jugador existent
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Id de jugador existent');
    pkg_gestioContractes.ges_altaContracte(1,2,105,sysdate,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Data inici del contracte informada
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Data inici del contracte informada');
    pkg_gestioContractes.ges_altaContracte(1,2,1,NULL,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Data fi del contracte informada
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Data fi del contracte informada');
    pkg_gestioContractes.ges_altaContracte(1,2,1,sysdate,NULL,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Data d'inici del contracte posterior a la data fi
    DBMS_OUTPUT.PUT_LINE(' Alta de contracte: Data inici del contracte posterior a la data fi');
    pkg_gestioContractes.ges_altaContracte(1,2,1,TO_DATE('01/02/2013','dd/mm/yyyy'),TO_DATE('01/01/2012','dd/mm/yyyy'),1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Equip venedor i comprador diferents
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Equip venedor i comprador diferents');
    pkg_gestioContractes.ges_altaContracte(2,2,1,sysdate,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Alta de contracte: Alta correcta
    DBMS_OUTPUT.PUT_LINE('Alta de contracte: Alta correcta');
    pkg_gestioContractes.ges_altaContracte(1,2,1,sysdate,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');


    -- Modificació de contracte: Id de contracte existent
    DBMS_OUTPUT.PUT_LINE('Modificació de contracte: Id de contracte existent');
    pkg_gestioContractes.ges_modificaContracte(1001,sysdate,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Modificació de contracte: Data inici del contracte informada
    DBMS_OUTPUT.PUT_LINE('Modificació de contracte: Data inici del contracte informada');
    pkg_gestioContractes.ges_modificaContracte(11,NULL,sysdate,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Modificació de contracte: Data fi del contracte informada
    DBMS_OUTPUT.PUT_LINE('Modificació de contracte: Data fi del contracte informada');
    pkg_gestioContractes.ges_modificaContracte(11,sysdate,NULL,1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Modificació de contracte: Data d'inici del contracte posterior a la data fi
    DBMS_OUTPUT.PUT_LINE('Modificació de contracte: Data inici del contracte posterior a la data fi');
    pkg_gestioContractes.ges_modificaContracte(11,TO_DATE('01/02/2013','dd/mm/yyyy'),TO_DATE('01/01/2012','dd/mm/yyyy'),1000,999,1999,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Modificació de contracte: Modificació correcta
    DBMS_OUTPUT.PUT_LINE('Modificació de contracte: Modificació correcta');
    pkg_gestioContractes.ges_modificaContracte(11,sysdate,sysdate,20000,5000,20000,'EUR',RSP);
    DBMS_OUTPUT.PUT_LINE(' ');


    -- Esborrat de contracte: Id de contracte existent
    DBMS_OUTPUT.PUT_LINE('Esborrat de contracte: Id de contracte existent');
    pkg_gestioContractes.ges_esborraContracte(781,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

    -- Esborrat de contracte: Esborrat correcte
    DBMS_OUTPUT.PUT_LINE('Esborrat de contracte: Esborrat correcte');
    pkg_gestioContractes.ges_esborraContracte(1,RSP);
    DBMS_OUTPUT.PUT_LINE(' ');

END;