-- =====================================================================
-- ESBORRAT DE L'ESQUEMA DE BBDD
-- =====================================================================

-- ---------------------------------------------------------------------
-- SEQUENCIES
-- ---------------------------------------------------------------------
DROP SEQUENCE s_municipis1;
DROP SEQUENCE s_federacions1;
DROP SEQUENCE s_persones1;
DROP SEQUENCE s_jugadors1;
DROP SEQUENCE s_representantsJugador1;
DROP SEQUENCE s_representantsLegals1;
DROP SEQUENCE s_arbitres1;
DROP SEQUENCE s_tecnics1;
DROP SEQUENCE s_equips1;
DROP SEQUENCE s_contractes1;
DROP SEQUENCE s_competicions1;
DROP SEQUENCE s_partits1;
DROP SEQUENCE s_subestats1;
DROP SEQUENCE s_logs1;

-- ---------------------------------------------------------------------
-- DISPARADORS
-- ---------------------------------------------------------------------
DROP TRIGGER municipis_ins;
DROP TRIGGER federacions_ins;
DROP TRIGGER persones_ins;
DROP TRIGGER jugadors_ins;
DROP TRIGGER representantsJugador_ins;
DROP TRIGGER representantsJugador_upd;
DROP TRIGGER representantsLegals_ins;
DROP TRIGGER representantsLegals_upd;
DROP TRIGGER arbitres_ins;
DROP TRIGGER arbitres_upd;
DROP TRIGGER tecnics_ins;
DROP TRIGGER tecnics_upd;
DROP TRIGGER equips_ins;
DROP TRIGGER tecnicsEquip_upd;
DROP TRIGGER contractes_ins;
DROP TRIGGER competicions_ins;
DROP TRIGGER partits_ins;
DROP TRIGGER subestats_ins;
DROP TRIGGER logs_ins;

-- ---------------------------------------------------------------------
-- TAULES
-- ---------------------------------------------------------------------
DROP TABLE arbitratges CASCADE CONSTRAINTS PURGE;
DROP TABLE subestats CASCADE CONSTRAINTS PURGE;
DROP TABLE convocats CASCADE CONSTRAINTS PURGE;
DROP TABLE tecnicsEquip CASCADE CONSTRAINTS PURGE;
DROP TABLE partits CASCADE CONSTRAINTS PURGE;
DROP TABLE competicions CASCADE CONSTRAINTS PURGE;
DROP TABLE contractes CASCADE CONSTRAINTS PURGE;
DROP TABLE equips CASCADE CONSTRAINTS PURGE;
DROP TABLE tecnics CASCADE CONSTRAINTS PURGE;
DROP TABLE representantsLegals CASCADE CONSTRAINTS PURGE;
DROP TABLE representantsJugador CASCADE CONSTRAINTS PURGE;
DROP TABLE jugadors CASCADE CONSTRAINTS PURGE;
DROP TABLE arbitres CASCADE CONSTRAINTS PURGE;
DROP TABLE persones CASCADE CONSTRAINTS PURGE;
DROP TABLE federacions CASCADE CONSTRAINTS PURGE;
DROP TABLE municipis CASCADE CONSTRAINTS PURGE;
DROP TABLE paisos CASCADE CONSTRAINTS PURGE;
DROP TABLE logs CASCADE CONSTRAINTS PURGE;
DROP TABLE dwh_totalJugadors;
DROP TABLE dwh_anotadorsCompeticio;
DROP TABLE dwh_millorPagats;
DROP TABLE dwh_totalGuanys;
DROP TABLE dwh_souMigJugadors;
DROP TABLE dwh_millorsEquips;
DROP TABLE dwh_millorJugador;

-- ---------------------------------------------------------------------
-- FUNCIONS
-- ---------------------------------------------------------------------
DROP FUNCTION calcularPunts;
DROP FUNCTION calcularValoracio;
DROP FUNCTION calcularValoracioP;

-- ---------------------------------------------------------------------
-- PACKAGES
-- ---------------------------------------------------------------------
DROP PACKAGE pkg_consultes;
DROP PACKAGE pkg_consultes_dwh;
DROP PACKAGE pkg_gestioContractes;
DROP PACKAGE pkg_gestioJugadors;
DROP PACKAGE pkg_gestioPartits;
